# Formats comments in card source files
# Comments of form /* ... */ (across one or multiple lines) following
# a card function (int card_*) are indented by one tab.
# Other comments are unaffected.

# Specify your card directory here
directory = "f:\Manalink-Dev\__cards"
# Specify your separator here
separator = "\t"

# Generate list of all .c files in cards
import os
filelist = []
for file in os.listdir(directory):
    if file.endswith(".c"):
        filelist.append(os.path.join(directory, file))

# Opening file 
#filename = "aether_revolt.c"
for filename in filelist:
    srcfile = open(filename, 'r') 
    srccode = srcfile.readlines()
    srcfile.close()
    
    newcode = []
    sep_used = ""
    card_found = False
    for s in srccode:
        if (s[0:len("int card_")]=="int card_"):
            card_found = True
        if card_found:
            if (s[0:2]=="/*"):
                sep_used = separator
        newcode.append(sep_used+s)    
        if (s.find("*/") != -1):
            sep_used = ""
            card_found = False
    
    # Writing to file 
    file = open(filename, 'w') 
    file.writelines(newcode) 
    file.close()
